#include <json-c/json.h>
#include <stdio.h>
int main() {
    json_object *obj = json_tokener_parse("{\"hidden\": false, \"hidden_str\": \"false\"}");
    json_object *val_obj;
    json_object_object_get_ex(obj, "hidden", &val_obj);
    printf("boolean: %d\n", json_object_get_boolean(val_obj));
    json_object_object_get_ex(obj, "hidden_str", &val_obj);
    printf("string false: %d\n", json_object_get_boolean(val_obj));
    return 0;
}
